/**
 * FormValidation (https://formvalidation.io)
 * The best validation library for JavaScript
 * (c) 2013 - 2023 Nguyen Huu Phuoc <me@phuoc.ng>
 */

import { Plugin } from '@form-validation/core';

export interface Recaptcha3TokenOptions {
    action: string;
    hiddenTokenName: string;
    language?: string;
    siteKey: string;
}

export class Recaptcha3Token extends Plugin<Recaptcha3TokenOptions> {
    // The name of callback that will be executed after reCaptcha script is loaded
    static LOADED_CALLBACK: string;

    constructor(opts?: Recaptcha3TokenOptions);
}
